package com.hw.admin.model.controller;


import com.hw.admin.model.domain.AjaxResultVo;
import com.hw.admin.model.domain.WorkPacker;
import com.hw.admin.model.mapper.WorkPackerMapper;
import com.hw.admin.model.service.WorkPackerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@RestController
@RequestMapping("/workPacker")
public class WorkPackerController {

    @Autowired
    private WorkPackerService workPackerService;

    @Autowired
    private WorkPackerMapper workPackerMapper;

    @PostMapping
    @ResponseBody
    public AjaxResultVo add(@RequestBody WorkPacker workPacker) {
        return AjaxResultVo.success(workPackerService.add(workPacker));
    }


    @GetMapping("/list")
    @ResponseBody
    public AjaxResultVo list(WorkPacker workPacker) {
        List<WorkPacker> list = workPackerService.list(workPacker);
        return AjaxResultVo.success(list);
    }

    @GetMapping("/{id}")
    @ResponseBody
    public AjaxResultVo get(@PathVariable("id") Long id) {
        return AjaxResultVo.success(workPackerService.get(id));
    }

    @PutMapping
    @ResponseBody
    public AjaxResultVo update(@RequestBody WorkPacker workPacker) {
        return AjaxResultVo.success(workPackerService.update(workPacker));
    }

    /**
     * 批量删除请假业务
     */
    @DeleteMapping("/{id}")
    @ResponseBody
    public AjaxResultVo delete(@PathVariable("id") Long id) {
        return AjaxResultVo.success(workPackerService.delete(id));
    }

    /**
     * 批量删除请假业务
     */
    @DeleteMapping
    @ResponseBody
    public AjaxResultVo deleteByIds(@RequestBody List<Long> ids) {
        return AjaxResultVo.success(workPackerService.deleteByIds(ids));
    }
}
