package com.hw.admin.model.domain;


import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@ToString(callSuper = true)
@Accessors(chain = true)
@TableName("work_packer")
public class WorkPacker {
    /**
     * id
     * 列名:id 类型:BIGINT(19) 允许空:false 缺省值:null
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 药品名称
     * 列名:drug_name 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    private String drugName;

    /**
     * 条码
     * 列名:bar_code 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    private String barCode;

    /**
     * 包装规格
     * 列名:pack_spec 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    private String packSpec;

    /**
     * 批次
     * 列名:batch 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    private String batch;

    /**
     * 生产日期
     * 列名:manu_time 类型:TIMESTAMP(19) 允许空:true 缺省值:null
     */
    private Date manuTime;

    /**
     * 药品数量
     * 列名:qua_drugs 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    private String quaDrugs;

    /**
     * 药品规格
     * 列名:drug_spec 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    private String drugSpec;

    /**
     * 包装时间
     * 列名:pack_time 类型:TIMESTAMP(19) 允许空:true 缺省值:null
     */
    private Date packTime;

    /**
     * 操作人
     * 列名:operator 类型:VARCHAR(100) 允许空:true 缺省值:null
     */
    private String operator;

    /**
     * 插入时间
     */
    private String insertTime;

    /**
     * 备注
     * 列名:remark 类型:VARCHAR(500) 允许空:true 缺省值:null
     */
    private String remark;

    /**
     * 创建者
     * 列名:create_by 类型:VARCHAR(64) 允许空:true 缺省值:null
     */
    private String createBy;

    /**
     * 创建者id
     * 列名:create_user_id 类型:BIGINT(19) 允许空:true 缺省值:null
     */
    private Long createUserId;

    /**
     * 创建时间
     * 列名:create_time 类型:TIMESTAMP(19) 允许空:true 缺省值:null
     */
    private Date createTime;

    /**
     * 更新者
     * 列名:update_by 类型:VARCHAR(64) 允许空:true 缺省值:null
     */
    private String updateBy;

    /**
     * 更新者id
     * 列名:update_user_id 类型:BIGINT(19) 允许空:true 缺省值:null
     */
    private Long updateUserId;

    /**
     * 更新时间
     * 列名:update_time 类型:TIMESTAMP(19) 允许空:true 缺省值:null
     */
    private Date updateTime;

    /**
     * 数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）
     * 列名:data_scope 类型:CHAR(1) 允许空:true 缺省值:1
     */
    private String dataScope;

    /**
     * 删除标志（0代表存在 1代表删除）
     * 列名:del_flag 类型:CHAR(1) 允许空:true 缺省值:0
     */
    private String delFlag;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDrugName() {
        return drugName;
    }

    public void setDrugName(String drugName) {
        this.drugName = drugName == null ? null : drugName.trim();
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode == null ? null : barCode.trim();
    }

    public String getPackSpec() {
        return packSpec;
    }

    public void setPackSpec(String packSpec) {
        this.packSpec = packSpec == null ? null : packSpec.trim();
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch == null ? null : batch.trim();
    }

    public Date getManuTime() {
        return manuTime;
    }

    public void setManuTime(Date manuTime) {
        this.manuTime = manuTime;
    }

    public String getQuaDrugs() {
        return quaDrugs;
    }

    public void setQuaDrugs(String quaDrugs) {
        this.quaDrugs = quaDrugs == null ? null : quaDrugs.trim();
    }

    public String getDrugSpec() {
        return drugSpec;
    }

    public void setDrugSpec(String drugSpec) {
        this.drugSpec = drugSpec == null ? null : drugSpec.trim();
    }

    public Date getPackTime() {
        return packTime;
    }

    public void setPackTime(Date packTime) {
        this.packTime = packTime;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy == null ? null : createBy.trim();
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy == null ? null : updateBy.trim();
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDataScope() {
        return dataScope;
    }

    public void setDataScope(String dataScope) {
        this.dataScope = dataScope == null ? null : dataScope.trim();
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag == null ? null : delFlag.trim();
    }
}
