package com.hw.admin.system.listener;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class ContextFileListener implements ApplicationListener<ContextRefreshedEvent> {
    @Autowired
    private FileMonitor fileMonitor;
    @Autowired
    private FileListener fileListener;

    @Override
    public void onApplicationEvent(ContextRefreshedEvent contextRefreshedEvent) {
        if (contextRefreshedEvent.getApplicationContext().getParent() == null) {
            fileMonitor.setFileListener(fileListener);
            fileMonitor.start();
        }
    }
}

